Subject: bug#11103: 24.0.94; (error "Can't activate input method `dev-aiba'")

From: Rustom Mody <[email-masked]>
Date: Sat, 31 Mar 2012 11:39:51 +0530

Sorry I dont get the context.
On my emacs 23.3.1 I can activate devanagari-aiba input method.
Is there something else you want me to check?
I dont know this input method (and google does not help) but looking at
describe-input-method and trying out a bit it seems very close
(identical??) to itrans.

On Sat, Mar 31, 2012 at 12:17 AM, Jambunathan K <[email-masked]>wrote:

> On 3/30/12, Glenn Morris <[email-masked]> wrote:
> >
> > BTW, though that fix seems obviously correct to me, I won't commit it
> > unless someone who actually uses Indian input methods tests it.
> > For all I know, something somewhere else assumes "dev-aiba".
> > (It's broken all the way back to Emacs 22.1.)
> >
>
> Glenn
>
> (Refer http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11103)
>
> I am copying Rustom who has more understanding of devanagari. He can
> suggest the default input method to go with that particular language
> environment and also test your earlier patch.
>
> C-h L Devanagari actually gives the following output
>
> Devanagari language environment
>
> Such languages using Devanagari script as Hindi and Marathi
> are supported in this language environment.
>
> Input methods:
>  devanagari-inscript ("DevIS" in mode line)
>  devanagari-aiba ("DevAB" in mode line)
>  devanagari-kyoto-harvard ("DevKH" in mode line)
>  devanagari-itrans ("DevIT" in mode line)
>
> Character sets:
>  unicode: Unicode (ISO10646)
>
> Coding systems:
>  utf-8 (`U' in mode line):
>        UTF-8 (no signature (BOM))
>        (alias: utf-8 mule-utf-8)
>
> [back]
>
> My 2 cents will be that the current defaults of devanagari-aiba need
> to be changed to devanagari-itrans. I don't speak the language that
> uses devanagari script.
>
> Jambunathan K.
>